Advisory Details

September 11th, 2013

HP PCM+ GetEventsServlet SQL Injection Remote Code Execution Vulnerability

ZDI-13-227
ZDI-CAN-1744

CVE ID CVE-2013-4809
CVSS SCORE 10, (AV:N/AC:L/Au:N/C:C/I:C/A:C)
AFFECTED VENDORS Hewlett-Packard
AFFECTED PRODUCTS PCM Plus
VULNERABILITY DETAILS


This vulnerability allows remote attackers to execute arbitrary code on vulnerable installations of HP PCM Plus. Authentication is not required to exploit this vulnerability.

The specific flaw exists within the GetEventsServlet. This servlet contains a SQL injection vulnerability in the sort and dir arguments. This can result in remote code execution under the context of the SYSTEM user.

ADDITIONAL DETAILS
DISCLOSURE TIMELINE
  • 2013-02-22 - Vulnerability reported to vendor
  • 2013-09-11 - Coordinated public release of advisory
CREDIT Andrea Micalizzi aka rgod
BACK TO ADVISORIES